#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N;
	scanf("%d", &N);
    int A[N];
    int K ,j=1,k , i, ok=1;
    scanf("%d", &K);
    for(i=0;i<N;i++)
    {
        scanf("%d", &A[i]);
    }
    return 0;
}